#!/bin/bash

#
PLATFORM=$1
INSTALL_PATH=$2
LOG_PATH=/tmp/.check_config.log
#
NIC_CONFIG_PATH=${INSTALL_PATH}/etc/pear/pear_monitor/nic.conf
MAC_CONFIG_PATH=${INSTALL_PATH}/etc/pear/pear_monitor/mac.conf
DISK_CONFIG_PATH=${INSTALL_PATH}/etc/pear/pear_monitor/dev.conf

#
datetime=`date "+%Y-%m-%d %H:%M:%S"`
echo "${datetime} [INFO ] start checking config" >> ${LOG_PATH}

# core conf
if [[ ! -f ${MAC_CONFIG_PATH} ]]; then
  ${INSTALL_PATH}/usr/sbin/pear_monitor --install_path=${INSTALL_PATH} --auto_mac=2
fi

if [[ ! -f ${NIC_CONFIG_PATH} ]]; then
  nic=`ifconfig -s | grep -v docker0 | grep -v lo | grep -v tun | sed '1d' | awk '{print $1}'`
  nic=(${nic})
  echo ${nic[0]} > ${NIC_CONFIG_PATH}
fi

if [[ ! -f ${DISK_CONFIG_PATH} ]]; then
  echo "/sata" > ${DISK_CONFIG_PATH}
fi

#
datetime=`date "+%Y-%m-%d %H:%M:%S"`
echo "${datetime} [INFO ] finish checking config" >> ${LOG_PATH}
