#!/bin/bash

PLATFORM=LENOVO_2800_AARCH64_LINUX
LOG_PATH=/tmp/scripts.log
INSTALL_PATH=$1

SCRIPT_PATHES=(
  ${INSTALL_PATH}/etc/pear/pear_scripts/check.sh          # check config
  ${INSTALL_PATH}/etc/pear/pear_scripts/dispatch.sh       # dispatched from server
)

SCRIPT_TOGGLES=(
  1           # /etc/pear/pear_scripts/check.sh
  1           # /etc/pear/pear_scripts/dispatch.sh
)

SCRIPT_BACKGROUND=(
  0           # /etc/pear/pear_scripts/check.sh
  1           # /etc/pear/pear_scripts/dispatch.sh
)

# check files and toggles
if [[ ${#SCRIPT_PATHES[@]} -ne ${#SCRIPT_TOGGLES[@]} ]]; then
  datetime=`date "+%Y-%m-%d %H:%M:%S"`
  echo "${datetime} [FATAL] incorrect params"
  exit 1
fi

# do
for i in $(seq 0 ${#SCRIPT_PATHES})
do
  # check if close by toggles
  if [[ ${SCRIPT_TOGGLES[$i]} -ne 1 ]]; then
    continue
  fi

  # check if exist
  if [[ ! -f ${SCRIPT_PATHES[$i]} ]]; then
    datetime=`date "+%Y-%m-%d %H:%M:%S"`
    echo "${datetime} [ERROR] expected to run ${SCRIPT_PATHES[$i]}, but not exist"
    continue
  fi

  # check if running
  ps_result=`ps -ef | grep ${SCRIPT_PATHES[$i]} | grep -v grep`
  if [[ -n ${ps_result} ]]; then
    datetime=`date "+%Y-%m-%d %H:%M:%S"`
    echo "${datetime} [INFO ] ${SCRIPT_PATHES[$i]} is already running"
    continue
  fi

  # run 
  chmod +x ${SCRIPT_PATHES[$i]}
  datetime=`date "+%Y-%m-%d %H:%M:%S"`
  echo "${datetime} [INFO ] running script: ${SCRIPT_PATHES[$i]}"
  if [[ ${SCRIPT_BACKGROUND[$i]} -eq 0 ]]; then
    ${SCRIPT_PATHES[$i]} ${PLATFORM} ${INSTALL_PATH}
  else
    ${SCRIPT_PATHES[$i]} ${PLATFORM} ${INSTALL_PATH} &
  fi
done

echo "scripts done"
